libimtp (2.2.1) unstable; urgency=medium

  * USP broker socket should be accessible to non-root users

 -- SAH bot <sahbot@softathome.com>  Thu, 10 Oct 2024 11:00:16 +0000

libimtp (2.2.1) unstable; urgency=medium

  * USP broker socket should be accessible to non-root users

 -- SAH bot <sahbot@softathome.com>  Thu, 10 Oct 2024 10:58:49 +0000

libimtp (2.2.0) unstable; urgency=medium

  * Add new function to get connection flags

 -- SAH bot <sahbot@softathome.com>  Tue, 18 Jun 2024 08:24:29 +0000

libimtp (2.1.2) unstable; urgency=medium

  * [CI] add wnc-lvr5 compiler

 -- SAH bot <sahbot@softathome.com>  Fri, 14 Jun 2024 11:32:26 +0000

libimtp (2.1.1) unstable; urgency=medium

  * Update dependencies in .gitlab-ci.yml

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Tue, 30 Apr 2024 13:30:22 +0000

libimtp (2.1.0) unstable; urgency=medium

  * [lib_imtp] Add file descriptor transfer functionality

 -- SAH bot <sahbot@softathome.com>  Tue, 30 Jan 2024 15:39:59 +0000

libimtp (2.0.2) unstable; urgency=medium

  * Update documentation
  * Move library to prpl gitlab

 -- SAH bot <sahbot@softathome.com>  Thu, 04 Jan 2024 08:51:40 +0000

libimtp (2.0.1) unstable; urgency=medium

  * Update dependencies in .gitlab-ci.yml

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Wed, 06 Sep 2023 07:17:09 +0000

libimtp (2.0.0) unstable; urgency=medium

  * [IMTP] Implement IMTP communication as specified in TR-369

 -- SAH bot <sahbot@softathome.com>  Mon, 10 Jul 2023 11:26:22 +0000

libimtp (1.6.1) unstable; urgency=medium

  * Update dependencies in .gitlab-ci.yml

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Wed, 03 May 2023 10:11:32 +0000

libimtp (1.6.0) unstable; urgency=medium

  * [SAHPairing] Make sahpairing work with MQTT client

 -- SAH bot <sahbot@softathome.com>  Thu, 12 Jan 2023 10:47:42 +0000

libimtp (1.5.2) unstable; urgency=medium

  * Update dependencies in .gitlab-ci.yml

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Wed, 11 Jan 2023 14:18:40 +0000

libimtp (1.5.1) unstable; urgency=medium

  * [Packet Interception] Create the new Packet Interception component

 -- SAH bot <sahbot@softathome.com>  Thu, 10 Nov 2022 11:41:35 +0000

libimtp (1.5.0) unstable; urgency=medium

  * Need separate type for JSON encoded MQTT properties

 -- SAH bot <sahbot@softathome.com>  Thu, 20 Oct 2022 08:32:54 +0000

libimtp (1.4.2) unstable; urgency=medium

  * Blocking read should not spam logs

 -- SAH bot <sahbot@softathome.com>  Wed, 31 Aug 2022 13:13:26 +0000

libimtp (1.4.1) unstable; urgency=medium

  * [Gitlab CI][Unit tests][valgrind] Pipeline doesn't stop when memory leaks are detected

 -- SAH bot <sahbot@softathome.com>  Thu, 19 May 2022 12:33:48 +0000

libimtp (1.4.0) unstable; urgency=medium

  * [IMTP] TLV of type endpoint_id is needed

 -- SAH bot <sahbot@softathome.com>  Thu, 03 Feb 2022 14:33:09 +0000

libimtp (1.3.1) unstable; urgency=medium

  * Need to reread large IMTP messages
  * Solve open source issues
  * [USPAgent] The USP Agent must be opensourced to gitlab.com/soft.at.home

 -- SAH bot <sahbot@softathome.com>  Fri, 28 Jan 2022 11:00:59 +0000

libimtp (1.3.0) unstable; urgency=medium

  * Add documentation for TLV messages

 -- SAH bot <sahbot@softathome.com>  Mon, 18 Oct 2021 13:57:12 +0000

libimtp (1.2.0) unstable; urgency=medium

  * [USP][CDROUTER] USP MQTT Publish messages includes invalid Content Type property (empty)

 -- SAH bot <sahbot@softathome.com>  Mon, 19 Jul 2021 13:19:58 +0000

libimtp (1.1.10) unstable; urgency=medium

  * [tr181 plugins][makefile] Dangerous clean target for all tr181 components
  * Migrate to new licenses format (baf)

 -- SAH bot <sahbot@softathome.com>  Mon, 12 Jul 2021 12:09:05 +0000

libimtp (1.1.9) unstable; urgency=medium

  * Add subscribe tlv type

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Tue, 16 Feb 2021 07:32:32 +0000

libimtp (1.1.8) unstable; urgency=medium

  * Remove accepted stream connection from connections list when connection is closed
  * Update example makefiles

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Mon, 01 Feb 2021 16:13:23 +0000

libimtp (1.1.7) unstable; urgency=medium

  * Add -I$(STAGINGDIR)/usr/include to CFLAGS and -L$(STAGINGDIR)/usr/lib to LDFLAGS
  * Add baf file

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Tue, 08 Dec 2020 11:00:16 +0000

libimtp (1.1.6) unstable; urgency=medium

  * Use sofa pipelines

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Thu, 19 Nov 2020 09:03:04 +0000

libimtp (1.1.5) unstable; urgency=medium

  * Update README
  * Issue: icon->addr_other must be allocated when using datagrams

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Tue, 10 Nov 2020 10:09:43 +0000

libimtp (1.1.4) unstable; urgency=medium

  * Don't unlink socket address before binding

 -- Johan JACOBS <johan.jacobs_ext@softathome.com>  Wed, 04 Nov 2020 08:45:28 +0000

libimtp (1.1.3) unstable; urgency=medium

  * Fix typo

 -- Johan <johan.jacobs_ext@softathome.com>  Fri, 23 Oct 2020 10:25:31 +0000

libimtp (1.1.2) unstable; urgency=medium

  * Fix symlinks and package name for debian package

 -- Johan <johan.jacobs_ext@softathome.com>  Fri, 23 Oct 2020 09:55:51 +0000

libimtp (1.1.0) unstable; urgency=medium

  * Add doxygen generation and deploy job.
  * Add LICENSE and CHANGELOG.md.
  * Add debian package creation files

 -- Johan Jacobs <johan.jacobs_ext@softathome.com>  Thu, 22 Oct 2020 16:19:10 +0000

libimtp (1.0.0) unstable; urgency=medium

  * Initial version

 -- Johan Jacobs <johan.jacobs_ext@softathome.com>  Thu, 22 Oct 2020 10:11:10 +0000
